|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QAccessiblePlugin Class Reference
[QtGui module]

The QAccessiblePlugin class provides an abstract base for accessibility plugins. More...

     #include <QAccessiblePlugin>

Inherits QObject and QAccessible.

- List of all members, including inherited members

### Public Functions

- QAccessiblePlugin ( QObject * parent = 0 )
- ~QAccessiblePlugin ()
- virtual QAccessibleInterface * create ( const QString & key, QObject * object ) = 0
- virtual QStringList keys () const = 0

- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 5 static public members inherited from QObject
- 7 static public members inherited from QAccessible
- 7 protected functions inherited from QObject

## Detailed Description

The QAccessiblePlugin class provides an abstract base for accessibility plugins.

Writing an accessibility plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the Q_EXPORT_PLUGIN2() macro.

See also QAccessibleBridgePlugin and How to Create Qt Plugins.

## Member Function Documentation

### QAccessiblePlugin::QAccessiblePlugin ( QObject * parent = 0 )

Constructs an accessibility plugin with the given parent. This is invoked automatically by the Q_EXPORT_PLUGIN2() macro.

### QAccessiblePlugin::~QAccessiblePlugin ()

Destroys the accessibility plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### QAccessibleInterface * QAccessiblePlugin::create ( const QString & key, QObject * object ) `[pure virtual]`

Creates and returns a QAccessibleInterface implementation for the class key and the object object. Keys are case sensitive.

See also keys().

### QStringList QAccessiblePlugin::keys () const `[pure virtual]`

Returns the list of keys this plugin supports.

These keys must be the class names that this plugin provides an accessibility implementation for.

See also create().